Policy
get
Authorizations
Responses
200
Successful
application/json
407
Policy id is missing in request
409
Policy does not exist
application/json
500
Internal Server Error
application/json
get/policy/latest
GET /v1/policy/latest HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
"policies": [
{
"policyType": "text",
"version": "text"
}
]
}get
Authorizations
Path parameters
policyIdstringRequired
Responses
200
Successful
application/json
policyTypestringRequired
versionstringOptional
acceptedbooleanRequired
407
Policy id is missing in request
409
Policy does not exist
application/json
500
Internal Server Error
application/json
get/policy/{policyId}
GET /v1/policy/{policyId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
"policyType": "text",
"version": "text",
"accepted": true
}post
Authorizations
Body
policyTypestring · enumRequiredPossible values:
versionstringRequired
Responses
200
Successful
application/json
object · Model59Optional
500
Internal Server Error
application/json
post/policy
POST /v1/policy HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"policyType": "TERMS_AND_CONDITIONS",
"version": "text"
}{}Last updated
Was this helpful?

